//  Persistance of Vision Raytracer V3.1

//  World definition file.

//

//  Contains 2 lights, 8 materials and 25 primitives.

//

//  This file was generated for POV-Ray V3.1 by

//  Moray V3.1 For Windows (c) 1991-1998 Lutz + Kretzschmar

//



//  Date : 06/25/1999    (25.06.1999)

//



/*

  The text between these two comments is in MorayPOV.INC and is

  automatically included in all POV files that Moray exports.

*/



default {

  texture {

    pigment { rgb <1,0,0> }

  }

}



/* // Scene Comment



This scene was created with Moray V3.1 For Windows.



*/ // End Scene Comment



global_settings {

  adc_bailout 0.003922

  ambient_light <1.0,1.0,1.0>

  assumed_gamma 1.8

  hf_gray_16 off

  irid_wavelength <0.247059,0.176471,0.137255>

  max_intersections 64

  max_trace_level 10

  number_of_waves 10

  radiosity {

    brightness       3.3

    count            100

    distance_maximum 0.0

    error_bound      0.4

    gray_threshold   0.5

    low_error_factor 0.8

    minimum_reuse    0.015

    nearest_count    6

    recursion_limit  1

  }

}



background { color <0.188,0.278,0.369> }



camera {  //  Camera Camera01

  location  <     21.537,       4.246,       1.315>

  direction <        0.0,         0.0,     11.2574> // Aperture is 0.09 degrees

  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 

  up        <        0.0,         0.0,         1.0> // Where Z is up

  right     <    1.33333,         0.0,         0.0> // Aspect ratio

  look_at   <      0.121,      -1.771,       2.282>

}



//

// *******  L I G H T S *******

//



light_source {   // Light002

  <22.180, 3.480, 1.090>

  color rgb <1.000, 1.000, 1.000>*1.0000

}



light_source {   // Light001

  <-6.708, 4.194, 1.562>

  color rgb <1.000, 1.000, 1.000>*0.5000

}





//

// ********  MATERIALS  *******

//



#include "shaker.inc"





//

// ********  REFERENCED OBJECTS  *******

//



#declare Angle = union {

  box { // AngleBack

    <-1, -1, -1>, <1, 1, 1>

    scale <1.75, 1.75, 0.25>

    translate  -0.25*z

  }

  box { // AngleBottom

    <-1, -1, -1>, <1, 1, 1>

    scale <1.75, 1.75, 0.25>

    rotate -90.0*y

    translate  <-1.8, 0.0, 1.25>

  }

  material {

    Bronze_Metal

  }

}

#declare MotorRing = difference {

  cylinder { // RingOuter

    <0,0,1>, <0,0,0>, 1 

    scale <1.625, 1.625, 0.125>

    translate  3.0*z

  }

  cylinder { // RingInner

    <0,0,1>, <0,0,0>, 1 

    scale <1.5, 1.5, 0.135>

    translate  2.995*z

  }

  material {

    Chrome_Metal

  }

}

#declare MotorBody = difference {

  cylinder { // BodyOuter

    <0,0,1>, <0,0,0>, 1 

    scale <1.5, 1.5, 3.5>

  }

  cylinder { // BodyInner

    <0,0,1>, <0,0,0>, 1 

    scale <1.45, 1.45, 3.6>

    translate  -0.05*z

  }

  material {

    Chrome_Metal

  }

}

#declare Motor = union {

  object { MotorRing }

  object { MotorBody }

}

#declare MotorCoil = union {

  cylinder { // CoilInternal

    <0,0,1>, <0,0,0>, 1 

    material {

      Aluminum

    }

    scale <1.25, 1.25, 4.0>

  }

  cylinder { // CoilExternal

    <0,0,1>, <0,0,0>, 1 

    material {

      Copper_Metal_1

    }

    scale <1.35, 1.35, 3.8>

  }

}

#declare ShaftAdaptor = union {

  cylinder { // ShaftAdaptorCollar

    <0,0,1>, <0,0,0>, 1 

    scale 0.25

    translate  4.0625*z

  }

  cylinder { // ShaftAdaptorBase

    <0,0,1>, <0,0,0>, 1 

    scale <0.5, 0.5, 0.0625>

    translate  4.0*z

  }

  material {

    Chrome_Metal

  }

}

#declare CSG002 = union {

  box { // ClampBase

    <-1, -1, -1>, <1, 1, 1>

    scale <0.375, 0.125, 0.0625>

    translate  0.125*z

  }

  cylinder { // ClampOuter

    <0,0,1>, <0,0,0>, 1 

    scale <0.1875, 0.1875, 0.25>

    rotate -90.0*x

    translate  -0.125*y

  }

}

#declare ShaftClamp = difference {

  object { CSG002 }

  cylinder { // ClampInner

    <0,0,1>, <0,0,0>, 1 

    scale <0.125, 0.125, 0.3>

    rotate -90.0*x

    translate  -0.15*y

  }

  material {

    Bronze_Metal

  }

  rotate <-90.0, 0.0, -90.0>

  translate  9.0*z

}

#declare MotorY2 = union {

  object { Angle }

  object { Motor }

  object { MotorCoil }

  object { ShaftAdaptor }

  cylinder { // Shaft

    <0,0,1>, <0,0,0>, 1 

    material {

      Pink

    }

    scale <0.125, 0.125, 5.0>

    translate  4.3*z

  }

  object { ShaftClamp }

  rotate <-90.0, -90.0, 0.0>

  translate  <10.0, -11.5, 2.5>

}





#declare Penny = object {

  cylinder { // Penny

    <0,0,1>, <0,0,0>, 1 

    scale <0.375, 0.375, 0.0625>

    translate  <0.066127, -0.066127, 2.875>

  }

}









//

// ********  OBJECTS  *******

//



union { // Motors

  object { MotorY2 }

  object { // MotorY1->MotorY2

    MotorY2

    rotate -0.0*z

    translate  <-12.049, 0.0, 0.0>

  }

  object { // MotorX2->MotorY2

    MotorY2

    rotate -90.0*z

    translate  20.0*y

  }

  object { // MotorX1->MotorY2

    MotorY2

    rotate -90.0*z

    translate  9.0*y

  }

  translate  <1.091556, -0.363852, 0.0>

}





union { // Parts

  object { Penny }

  object { // Penny1->Penny

    Penny

    translate  <1.454794, 6.819176, 0.0>

  }

  object { // Penny2->Penny

    Penny

    translate  <7.141716, 9.802986, 0.0>

  }

  object { // Penny3->Penny

    Penny

    translate  <8.199748, 4.851556, 0.0>

  }

  material {

    Copper_Texture

  }

}









box { // OpticalTable

  <-1, -1, -1>, <1, 1, 1>

  material {

    AnodizedAluminum

  }

  scale <12.0, 12.0, 0.5>

}





box { // ShakerTable

  <-1, -1, -1>, <1, 1, 1>

  material {

    body_texture

  }

  scale <7.5, 7.5, 0.125>

  translate  <4.5, 4.5, 2.75>

}









